.category-view {
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.category-view__filters {
    max-width: 1280px;
    width: 100%;
    margin-bottom: 44px;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 20px;
    align-items: center;
}

.category-view__filters div > button {
    min-width: 140px;
}

.category-view__filters .dropdown {
    position: relative;
    display: flex;
    justify-content: flex-end;
    margin-right: 20px;
}

.category-view__button-filter {
    margin-left: 20px;
}

@media (max-width: 1440px) {
    .category-view {
        width: 100%;
    }
}

@media (max-width: 768px) {
    .category-view__filters {
        grid-template-columns: 1fr 1fr;
    }

    .category-view__filters > h1 {
        grid-area: 1 / 1 / 2 / 3;
    }
}

@media (max-width: 576px) {
    .category-view__filters {
        grid-template-columns: 1fr 1fr;
    }

    .category-view__filters > h1 {
        grid-area: 1 / 1 / 2 / 3;
    }

    .category-view__filters .dropdown {
        position: static;
    }
}
